org.apache.lucene.codecs.lucene3x

## Class Lucene3xSegmentInfoFormat

- java.lang.Object
- - org.apache.lucene.codecs.SegmentInfoFormat
  - - org.apache.lucene.codecs.lucene3x.Lucene3xSegmentInfoFormat

- Deprecated.
  (4.0) This is only used to read indexes created before 4.0.

      @Deprecated
      public class Lucene3xSegmentInfoFormat
      extends SegmentInfoFormat

  Lucene3x ReadOnly SegmentInfoFormat implementation
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DS_COMPOUND_KEY` Deprecated.
    `static String` | `DS_NAME_KEY` Deprecated.
    `static String` | `DS_OFFSET_KEY` Deprecated.
    `static int` | `FORMAT_3_1` Deprecated. Each segment records the Lucene version that created it.
    `static int` | `FORMAT_DIAGNOSTICS` Deprecated. This format adds optional per-segment String diagnostics storage, and switches userData to Map
    `static int` | `FORMAT_HAS_VECTORS` Deprecated. Each segment records whether it has term vectors
    `static String` | `NORMGEN_KEY` Deprecated.
    `static String` | `NORMGEN_PREFIX` Deprecated.
    `static String` | `UPGRADED_SI_CODEC_NAME` Deprecated.
    `static String` | `UPGRADED_SI_EXTENSION` Deprecated. Extension used for saving each SegmentInfo, once a 3.x index is first committed to with 4.0.
    `static int` | `UPGRADED_SI_VERSION_CURRENT` Deprecated.
    `static int` | `UPGRADED_SI_VERSION_START` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene3xSegmentInfoFormat()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getDocStoreIsCompoundFile(SegmentInfo si)` Deprecated.
    `static int` | `getDocStoreOffset(SegmentInfo si)` Deprecated.
    `static String` | `getDocStoreSegment(SegmentInfo si)` Deprecated.
    `SegmentInfoReader` | `getSegmentInfoReader()` Deprecated. Returns the `SegmentInfoReader` for reading `SegmentInfo` instances.
    `SegmentInfoWriter` | `getSegmentInfoWriter()` Deprecated. Returns the `SegmentInfoWriter` for writing `SegmentInfo` instances.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT_DIAGNOSTICS

          public static final int FORMAT_DIAGNOSTICS

      Deprecated.
      This format adds optional per-segment String diagnostics storage, and switches userData to Map
      See Also:
        Constant Field Values

    - #### FORMAT_HAS_VECTORS

          public static final int FORMAT_HAS_VECTORS

      Deprecated.
      Each segment records whether it has term vectors
      See Also:
        Constant Field Values

    - #### FORMAT_3_1

          public static final int FORMAT_3_1

      Deprecated.
      Each segment records the Lucene version that created it.
      See Also:
        Constant Field Values

    - #### UPGRADED_SI_EXTENSION

          public static final String UPGRADED_SI_EXTENSION

      Deprecated.
      Extension used for saving each SegmentInfo, once a 3.x index is first committed to with 4.0.
      See Also:
        Constant Field Values

    - #### UPGRADED_SI_CODEC_NAME

          public static final String UPGRADED_SI_CODEC_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### UPGRADED_SI_VERSION_START

          public static final int UPGRADED_SI_VERSION_START

      Deprecated.
      See Also:
        Constant Field Values

    - #### UPGRADED_SI_VERSION_CURRENT

          public static final int UPGRADED_SI_VERSION_CURRENT

      Deprecated.
      See Also:
        Constant Field Values

    - #### DS_OFFSET_KEY

          public static final String DS_OFFSET_KEY

      Deprecated.

    - #### DS_NAME_KEY

          public static final String DS_NAME_KEY

      Deprecated.

    - #### DS_COMPOUND_KEY

          public static final String DS_COMPOUND_KEY

      Deprecated.

    - #### NORMGEN_KEY

          public static final String NORMGEN_KEY

      Deprecated.

    - #### NORMGEN_PREFIX

          public static final String NORMGEN_PREFIX

      Deprecated.

  - ### Constructor Detail

    - #### Lucene3xSegmentInfoFormat

          public Lucene3xSegmentInfoFormat()

      Deprecated.

  - ### Method Detail

    - #### getSegmentInfoReader

          public SegmentInfoReader getSegmentInfoReader()

      Deprecated.
      Description copied from class: `SegmentInfoFormat`
      Returns the `SegmentInfoReader` for reading `SegmentInfo` instances.
      Specified by:
        `getSegmentInfoReader` in class `SegmentInfoFormat`

    - #### getSegmentInfoWriter

          public SegmentInfoWriter getSegmentInfoWriter()

      Deprecated.
      Description copied from class: `SegmentInfoFormat`
      Returns the `SegmentInfoWriter` for writing `SegmentInfo` instances.
      Specified by:
        `getSegmentInfoWriter` in class `SegmentInfoFormat`

    - #### getDocStoreOffset

          public static int getDocStoreOffset(SegmentInfo si)

      Deprecated.
      Returns:
        if this segment shares stored fields & vectors, this offset is where in that file this segment's docs begin

    - #### getDocStoreSegment

          public static String getDocStoreSegment(SegmentInfo si)

      Deprecated.
      Returns:
        name used to derive fields/vectors file we share with other segments

    - #### getDocStoreIsCompoundFile

          public static boolean getDocStoreIsCompoundFile(SegmentInfo si)

      Deprecated.
      Returns:
        whether doc store files are stored in compound file (*.cfx)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.